Package com.tietoenator.trip.jxp

# Enum Class TdbControlObjectType

java.lang.Object
java.lang.Enum<TdbControlObjectType>
com.tietoenator.trip.jxp.TdbControlObjectType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbControlObjectType>`, `Constable`

public enum TdbControlObjectType extends Enum<TdbControlObjectType>
Control object type enumeration.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Access`
  Database, thesaurus, cluster access rights
  `Category`
  Classifcation category
  `Cluster`
  Cluster specification
  `Container`
  Classification container
  `Database`
  Database specification
  `EntryForm`
  TRIPclassic / TRIPface entry form
  `Field`
  Field from a database
  `Group`
  User group
  `Host`
  Host on a TRIPgrid
  `OutputFormat`
  Output format
  `Procedure`
  Stored procedure or TRIPclassic / TRIPface macro
  `ProxyCluster`
  Proxy cluster specification
  `ProxyClusterMember`
  Member database from a proxy cluster
  `ProxyReplicaSet`
  TRIPgrid replica set
  `SearchForm`
  TRIPclassic / TRIPface search form
  `Subsystem`
  Classification subsystem
  `Thesaurus`
  Thesaurus specification
  `Unknown`
  Unknown or undefined control object type.
  `User`
  User

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Retrieve the TRIPxpi protocol name for this control object type.
  `static TdbControlObjectType`
  `getTypeof(String name)`
  Factory method to return the appropriate type ID from a protocol name
  `static TdbControlObjectType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbControlObjectType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Unknown

    public static final TdbControlObjectType Unknown
    Unknown or undefined control object type.

  - ### Access

    public static final TdbControlObjectType Access
    Database, thesaurus, cluster access rights

  - ### ProxyCluster

    public static final TdbControlObjectType ProxyCluster
    Proxy cluster specification

  - ### Cluster

    public static final TdbControlObjectType Cluster
    Cluster specification

  - ### Database

    public static final TdbControlObjectType Database
    Database specification

  - ### EntryForm

    public static final TdbControlObjectType EntryForm
    TRIPclassic / TRIPface entry form

  - ### OutputFormat

    public static final TdbControlObjectType OutputFormat
    Output format

  - ### Group

    public static final TdbControlObjectType Group
    User group

  - ### Host

    public static final TdbControlObjectType Host
    Host on a TRIPgrid

  - ### Field

    public static final TdbControlObjectType Field
    Field from a database

  - ### ProxyClusterMember

    public static final TdbControlObjectType ProxyClusterMember
    Member database from a proxy cluster

  - ### Procedure

    public static final TdbControlObjectType Procedure
    Stored procedure or TRIPclassic / TRIPface macro

  - ### ProxyReplicaSet

    public static final TdbControlObjectType ProxyReplicaSet
    TRIPgrid replica set

  - ### SearchForm

    public static final TdbControlObjectType SearchForm
    TRIPclassic / TRIPface search form

  - ### Thesaurus

    public static final TdbControlObjectType Thesaurus
    Thesaurus specification

  - ### User

    public static final TdbControlObjectType User
    User

  - ### Category

    public static final TdbControlObjectType Category
    Classifcation category

  - ### Container

    public static final TdbControlObjectType Container
    Classification container

  - ### Subsystem

    public static final TdbControlObjectType Subsystem
    Classification subsystem

- ## Method Details

  - ### values

    public static TdbControlObjectType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbControlObjectType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Retrieve the TRIPxpi protocol name for this control object type.
    Returns:
      Protocol name

  - ### getTypeof

    public static TdbControlObjectType getTypeof(String name)
    Factory method to return the appropriate type ID from a protocol name
    Parameters:
      `name` - Protocol name
    Returns:
      Type ID